Package com.avaya.clientservices.sharedcontrol

## Enum DisconnectReason

- java.lang.Object
- - java.lang.Enum<DisconnectReason>
  - - com.avaya.clientservices.sharedcontrol.DisconnectReason

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<DisconnectReason>`

      public enum DisconnectReason
      extends java.lang.Enum<DisconnectReason>

  Enumeration describing possible reasons for shared control link disconnection.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATION_ERROR` | The authentication is rejected by server.
    `CALL_IN_PROGRESS` | The activation of shared control mode is failed because of active call.
    `CONNECTION_ERROR` | The desk phone doesn't respond at any stage of the shared control establishment and the connection cannot be established properly.
    `CONTROL_LINK_LOCAL_ERROR` | The shared control connection is disconnected because of network issues on the Soft Client side.
    `CONTROL_LINK_REMOTE_ERROR` | The shared control connection is disconnected because of network issues on the desk phone side.
    `CONTROLLED_ENDPOINT_ENDED` | The shared control connection was disconnected by the controlled endpoint.
    `GENERAL_ERROR` | The shared control connection is ended for other reasons.
    `INVALID_ERROR` | The shared control feature is not supported.
    `INVALID_STATE_ERROR` | There is already active shared control connection with the same endpoint.
    `LINK_DOWN_ERROR` | The shared control connection is down.
    `LOCALLY_DISCONNECTED` | The shared control connection was disconnected by the client user's SharedControlService.DeactivateSharedControl action.
    `SERVER_ENDED_ERROR` | The shared control connection is ended by server for any reason.
    `SERVER_ERROR` | The activation of the shared control connection is rejected by server.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DisconnectReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static DisconnectReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVALID_ERROR

          public static final DisconnectReason INVALID_ERROR

      The shared control feature is not supported.

      Happens when activating shared control on H.323 protocol (Currently APIs are available irrespective of protocol. This error is returned only in H.323).

      No resolution is possible.

    - #### LOCALLY_DISCONNECTED

          public static final DisconnectReason LOCALLY_DISCONNECTED

      The shared control connection was disconnected by the client user's SharedControlService.DeactivateSharedControl action.

    - #### CONTROLLED_ENDPOINT_ENDED

          public static final DisconnectReason CONTROLLED_ENDPOINT_ENDED

      The shared control connection was disconnected by the controlled endpoint.

      Happens when the desk phone is logged off or another controlling client activated shared control with the desk phone.

      User can try to activate shared control again to resolve this error.

    - #### LINK_DOWN_ERROR

          public static final DisconnectReason LINK_DOWN_ERROR

      The shared control connection is down.

    - #### AUTHENTICATION_ERROR

          public static final DisconnectReason AUTHENTICATION_ERROR

      The authentication is rejected by server. Can occur in any operation related to the shared control.

      No user resolution possible, if problem persists consult support team.

    - #### CONNECTION_ERROR

          public static final DisconnectReason CONNECTION_ERROR

      The desk phone doesn't respond at any stage of the shared control establishment and the connection cannot be established properly. The shared control connection cannot be automatically recovered by the controlling endpoint.

      User can try to activate shared control again to resolve this error.

    - #### INVALID_STATE_ERROR

          public static final DisconnectReason INVALID_STATE_ERROR

      There is already active shared control connection with the same endpoint. The active shared control connection is not deactivated and stays active.

      No user resolution possible, if problem persists consult support team.

    - #### SERVER_ERROR

          public static final DisconnectReason SERVER_ERROR

      The activation of the shared control connection is rejected by server.

      Happens when shared control is not supported by the server (for instance, when SBC is not configured for shared control) or when the shared control is activated when there is no controllable endpoint available.

    - #### SERVER_ENDED_ERROR

          public static final DisconnectReason SERVER_ENDED_ERROR

      The shared control connection is ended by server for any reason.

    - #### GENERAL_ERROR

          public static final DisconnectReason GENERAL_ERROR

      The shared control connection is ended for other reasons.

    - #### CONTROL_LINK_LOCAL_ERROR

          public static final DisconnectReason CONTROL_LINK_LOCAL_ERROR

      The shared control connection is disconnected because of network issues on the Soft Client side. Network outage or connection with active server has been lost.

      The controlling endpoint will make an attempt to restore the link once network is up.

    - #### CONTROL_LINK_REMOTE_ERROR

          public static final DisconnectReason CONTROL_LINK_REMOTE_ERROR

      The shared control connection is disconnected because of network issues on the desk phone side. Network outage on the desk phone side or the desk phone connection with active server has been lost.

      Controlling endpoint will make an attempt after 30 seconds to automatically restore the link. On the 6th try, if the link is not restored, ConnectionError will be sent.

    - #### CALL_IN_PROGRESS

          public static final DisconnectReason CALL_IN_PROGRESS

      The activation of shared control mode is failed because of active call. A call is in progress and hence the shared control mode cant be activated.

      Close the existing call/calls before activating the shared control mode

  - ### Method Detail

    - #### values

          public static DisconnectReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DisconnectReason c : DisconnectReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DisconnectReason valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null